<?
//ini_set('display_errors',1);
//error_reporting(E_ALL);
ini_set('soap.wsdl_cache_enabled', 0); 
ini_set('session.name', 'SOAPClient');
require_once("soap_client_settings.php");

function logout()
{
   // {{{
   //  ,    ,  ,   , 
   //     LogOut  SOAP-
   global $client; global $format1; global $format2; global $format3;
   try 
   {
      //  
      $logoutresult = $client->logOut();
   }
   catch(SoapFault $fault)
   {
      //     LogOut      .
      echo $format1."Can`t log out.".$format2;
      echo "Fault code: ".$fault->faultcode."<br>Fault message: ".$fault->faultstring;
      echo $format3;
      exit();
   }
   //  ()
   echo "<br>______________________________________________________<br>Logged out.";
   echo $format3;
   // }}}
}
//    
$format1 = "<p style=\"text-decoration: underline;\"><b>";
$format2 = "________________________________________</b></p>";
$format3 = "<br>___________________________________________________<br><a href=\"soap_form.html\">Go back</a>";

echo "<br><b>server</b>: $soap_server_address <br>"; 
//   SOAP-    SOAP-.
try 
{
   $client = new SoapClient(null,array
                              (
                              'location' => $soap_server_address, //  SOAP- -  soap_client_settings
                              'uri' => 'urn:RegbaseSoapInterface', 
                              'exceptions' => true,
                              'user_agent' => 'RegbaseSoapInterfaceClient',
                              'trace' => 1
                              )
                           );
}
catch(SoapFault $fault)
{
   //     .
   echo $format1."Couldn`t connect to SOAP server".$format2;
   echo "Fault code: ".$fault->faultcode."<br>Fault message: ".$fault->faultstring;
   echo $format3;
   exit();
}

if ( (isset($_POST['login']) && isset($_POST['password'])) && (!empty($_POST['login']) && !empty($_POST['password'])) )
{
   //   ,   
   try 
   {
      //  
      $loginresult = $client->logIn($_POST['login'],$_POST['password']);
   }
   catch(SoapFault $fault)
   {
      //     LogIn  SOAP-     
      echo $format1."Can`t log in.".$format2;
      echo "Fault code: ".$fault->faultcode."<br>Fault message: ".$fault->faultstring;
      echo $format3;
      exit();
   }
   if ($loginresult->status->code == '0') 
   {
      //  LogIn    ,     (,    )
      echo $format1."Invalid login/password".$format2;
      echo 'Code: '.$loginresult->status->code.'<br>Message: '.$loginresult->status->message;
      echo $format3;
      exit();
   }
   else
   {
      // ,  SOAP- cookie,       .
      $client->__setCookie('SOAPClient',$loginresult->status->message);
      echo "Successfully logged in as ".$_POST['login'];
   }

   if ( isset($_POST['nic_hdl']) && isset($_POST['scantype']) && isset($_FILES['scan_file']) )
   {
      //   
      $filename = $_FILES['scan_file']['tmp_name'];

      //    "   " 
      if ( isset($_POST['check']) && $_POST['check']==1 )
         $checksum = md5_file($filename);
      else
         $checksum = '';

      // ,    SOAP      UTF-8,      
      //  ,       UTF-8.
      try 
      {         
         //     
         $fo = fopen($filename,'r');
         $fr = fread($fo, filesize($filename));
         $bincode = base64_encode($fr);
         fclose($conn);
         //  
         $uploadconfirmdoc = $client->uploadConfirmScan($_POST['nic_hdl'], $_POST['scantype'], $bincode, $checksum, $_POST['check']);
      }
      catch(SoapFault $fault)
      {
         //     uploadConfirmScan      .
         echo $format1."Couldnt execute uploadConfirmScan".$format2;
         echo "Fault code: ".$fault->faultcode."<br>Fault message: ".$fault->faultstring;
         logout();
         exit();
      }
      if ($uploadconfirmdoc->status->code != '1')
      {
         //  ,      $uploadconfirmdoc->status->name,  .
         echo $format1."Failed to upload file ".$format2;
         echo "Error name: ".$uploadconfirmdoc->status->name." <br>Error message: ".$uploadconfirmdoc->status->message;
         logout();
         exit();
      }
      else
      {
         //     
         echo "<br>uploadConfirmScan name: ".$uploadconfirmdoc->status->name."<br>uploadConfirmScan message: ".$uploadconfirmdoc->status->message; 
      }
   }
   else
   {
      //   
      echo $format1."Form not filled".$format2;
      logout();
      exit();
   }
   logout(); 
}
else
{
   //      
   echo $format1."Invalid (blank) login/password".$format2;
   echo $format3;
   exit();
}
?>
